// (c) Thomas Kamps, 2009
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#include <stdlib.h>
#include <time.h>

#include <QtGui/QApplication>
#include <QTcpSocket>
#include <QTranslator>
#include <QLocale>
#include "src/Gui/capitalism.h"
#include "src/Gui/field.h"
#include "src/Monopd/monopdgame.h"
#include "src/Monopd/monopdclient.h"

int main(int argc, char *argv[]) {
	srand(time(NULL));
	QApplication a(argc, argv);

	QTranslator trans;
	QString filename = QString(":/ts/Capitalism_%1").arg(QLocale::system().name());
	trans.load(filename, qApp->applicationDirPath());
	a.installTranslator(&trans);
	QCoreApplication::setOrganizationName("Capitalism");
	QCoreApplication::setApplicationName("Capitalism");

	QTcpSocket* sok = new QTcpSocket();
	Capitalism w(sok);

	w.show();
	//c.show();
	return a.exec();
}
